> For the complete documentation index, see [llms.txt](https://developer.unstack.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.unstack.com/docs/tags/richtext.md).

# Richtext

The RichText tag is a very powerful tool for adding fully content-editable text areas to your sections, which can also be augmented with embedding tools for even richer media content.

```jsx
<RichText dataRef={content.text} startTag="div" />
```

## Attributes

* **dataRef**: DataLocator - the data-element storing the Richtext tag's configuration
* **startTag**: string (optional) - the initial tag to start the richtext block with (default "p")
* **className**: string (optional) - a hard-coded class name to add to the rendered element
* **maxWords**: number (optional) - the maximum number of words allowed in this field
* **placeholder**: string (optional) - placeholder text to display in the editor when empty
* **enableAlignment**: boolean (optional) - when true, allows content authors to align individual areas of the text within the rich text block (Default: True)
* **enableHtml**: boolean (optional) - when True, allows content authors to create HTML conetnt (Default: True)
* **enableEmbeds**: boolean (optional) - when true, allows content to embed media, forms, or 3rd-party content (e.g. embedded videos from other platforms) into the content (Default: False)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.unstack.com/docs/tags/richtext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
